# Caratteristiche avanzate di amaroK

## Scorciatoie tastiera

&amarok; usa scorciatoie di tastiera come la maggior parte delle altre applicazioni. Sotto trovi una lista di queste scorciatoie e le rispettive azioni. Le scorciatoie globali possono essere configurate facendo click con il pulsante destro del mouse nella finestra del lettore e selezionando Configura scorciatoie globali.... Le scorciatoie di &amarok; possono essere configurate facendo click con il pulsante destro del mouse nella finestra del lettore e selezionando Configura scorciatoie....

Puoi programmare i tasti multimediali affinché funzionino come scorciatoie per &amarok; facendo divenire la tua tastiera un centro di controllo di &amarok;.

Le scorciatoie globali sono:

Combinazione tasti | Azione
--- | ---
WinX | Play
WinC | Pausa
WinV | Stop
WinB | Prossima traccia
WinZ | Traccia precedente
Wintasto + in tast.num. | Aumenta volume
Wintasto - in tast.num. | Diminuisci volume
WinA | Aggiungi file
WinP | Attiva/disattiva playlist
WinO | Mostra OSD

Le scorciatoie di &amarok; sono:

Combinazione tasti | Azione
--- | ---
CtrlC | Copia
Ctrlinvio in tast.num. | Vai all'attuale
CtrlQ | Chiudi
CtrlShiftZ | Ripeti
CtrlS | Salva la playlist
CtrlA | Seleziona tutto
CtrlH | Mescola
CtrlZ | Annulla

Le scorciatoie per il navigatore della playlist sono:

Combinazione tasti | Azione
--- | ---
Barra spazio | Carica playlist
F2 | Rinomina playlist
Tasto di cancellazione a sinistra | Rimuove playlist

## L'interfaccia DCOP

Con l'interfaccia DCOP di amaroK, puoi controllare facilmente amaroK con script tuoi.

L'interfaccia DCOP di amaroK ha multe funzioni generiche che possono essere trovate in altre applicazioni KDE. Questa sezione descrive le funzioni DCOP del lettore. Un esempio della funzione dcop pausa potrebbe essere il seguente:

&percnt;dcop amarok player pause

Funzione DCOP | Azione
--- | ---
album | La funzione album mostra l'album della traccia in riproduzione.
artist | La funzione artist mostra l'artista della traccia in riproduzione
bitrate | La funzione bitrate mostra il bitrate della traccia in riproduzione.
comment | La funzione comment mostra il commento della traccia in riproduzione.
coverImage | La funzione coverImage mostra l'URL della copertina della traccia attuale.
currentTime | La funzione currentTime mostra la posizione (mm:ss) della traccia in riproduzione.
encodedURL | La funzione encodeURL mostra l'URL della traccia attuale con spazi codificati.
genre | La funzione genre mostra il genere della traccia in riproduzione.
nowPlaying | La funzione nowPlaying mostra "Artista - Titolo" della traccia in riproduzione. Se uno dei due tag id3 è vuoto, verrà mostrato solo "Artista" o "Titolo" (senza il "-").
title | La funzione title mostra il titolo della traccia in riproduzione.
totalTime | La funzione totalTime mostra la durata totale (mm:ss) della traccia in riproduzione.
traccia | La funzione track mostra il numero della traccia in riproduzione.
year | La funzione year mostra l'anno della traccia in riproduzione.
isPlaying | La funzione isPlaying restituisce un valore di vero o falso per indicare le il lettore è in riproduzione o meno.
randomModeStatus | La funzione randomModeStatus mostra lo stato della modalità casuale con un valore di vero o falso.
repeatPlaylistStatus | La funzione repeatPlaylistStatus mostra lo stato di Ripeti Playlist con un valore di vero o falso.
repeatTrackStatus | La funzione repeatTrackStatus mostra lo stato di Ripeti Traccia con un valore di vero o falso.
getVolume | La funzione getVolume ritorna un valore per il livello del volume specificato da un valore tra 0 e 100.
sampleRate | La funzione sampleRate mostra il campionamento della traccia in riproduzione.
score | La funzione score mostra il punteggio della traccia attuale.
status | La funzione status ritorna un valore per lo stato del motore, 2 se in uso, 1 se in pausa e 0 se inattivo.
trackCurrentTime | La funzione trackCurrentTime restituisce un valore dell'attuale tempo trascorso della traccia in secondi.
trackTotalTime | La funzione trackTotalTime restituisce un valore della durata totale della traccia attuale in secondi.
addMedia | La funzione addMedia è usata per aggiungere singoli file alla playlist.
addMediaList | La funzione addMediaList è usata per aggiungere più file alla playlist.
clearPlaylist | La funzione clearPlaylist è usata per pulire l'intera playlist.
configEqualizer | La funzione configEqualizer alza la finestra di configurazione dell'equalizzatore.
enableOSD | La funzione enableOSD permette di gestire l'On-Screen-Display con un valore di vero o falso.
enableRandomMode | La funzione enableRandomMode è usata per gestire la modalità casuale con un valore di 0 disabilitata, e 1 abilitata.
mute | La funzione mute permette di togliere e rimettere il suono alla traccia in riproduzione.
next | La funzione next fa avanzare il lettore di una traccia.
pause | La funzione pause mette in pausa la traccia in riproduzione.
play | La funzione play fa ripartire il lettore da dove fu fermato.
playMedia | La funzione playMedia fa partire la riproduzione di una traccia specificata con il suo KURL.
playPause | La funzione playPause fa partire il lettore se questo è attualmente fermo od in pausa. Questa funzione, inoltre, mette in pausa il lettore se era in riproduzione.
prev | La funzione prev muove il lettore indietro di una traccia.
saveCurrentPlaylist | La funzione saveCurrentPlaylist salva l'attuale playlist come ~/.kde/share/apps/amarok/current.xml.
scanCollection | La funzione scanCollection esegue una scansione manuale della collezione.
seek | La funzione seek è utilizzata per cercare in un punto specifico in una traccia per un valore specificato di secondi.
seekRelative | La funzione seekRelative è utilizzata per cercare in un punto relativo alla posizione della traccia attuale per un valore specificato in secondi.
setEqualizerEnabled | La funzione setEqualizerEnabled serve ad abilitare l'equalizzatore utilizzando un valore vero o false.
setVolume | La funzione setVolume regola il volume ad un livello specificato da un valore tra 0 e 100.
showOSD | La funzione showOSD fa apparire l'OSD per mostrare le informazioni della traccia attuale.
stop | La funzione stop ferma il lettore se è in riproduzione.
togglePlaylist | La funzione togglePlaylist abilita o meno la finestra della playlist.
volumeDown | La funzione volumeDown abbassa il volume di uno scalino.
volumeUp | La funzione volumeUp aumenta il volume di uno scalino.

## Opzioni linea di comando

amaroK supporta l'uso delle opzioni standard dei comandi di linea di Qt e kde. amaroK ha inoltre le proprie opzioni specifiche.

Le opzioni Qt e kde:

Opzioni | Azione
--- | ---
--help | Mostra l'aiuto sulle opzioni.
--help-qt | Mostra le opzioni specifiche di Qt.
--help-kde | Mostra le opzioni specifiche di KDE.
--help-all | Mostra tutte le opzioni.
--author | Mostra le informazioni dell'autore.
-v, --version | Mostra le informazioni della versione.
--license | Mostra le informazioni della licenza.

Le opzioni di amaroK:

Le opzioni di &amarok; sono costruite per essere usate mentre &amarok; è in funzione.

Opzioni | Azione
--- | ---
-r, --previous | Salta alla traccia precedente nella playlist.
-p, --play | Inizia a riprodurre l'attuale playlist.
-s, --stop | Ferma la riproduzione.
--pause | Mette in pausa la riproduzione.
-f, --next | Salta alla prossima traccia nella playlist.
-a, --append | Accoda file/URL alla playlist.
-e, --enqueue | Vedi append, disponibile per retro compatibilità.
--queue | Accoda file/URL dopo la traccia in riproduzione.
-m, --toggle-playlist-window | Attiva/disattiva la finestra della playlist.
--wizard | Lancia l'assistente del primo avvio.
--engine "name" | Avvia &amarok; con il motore "name".